File: changelog

package info (click to toggle)
libdist-zilla-plugins-cjm-perl 6.000-1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 328 kB
  • sloc: perl: 1,439; makefile: 11
file content (230 lines) | stat: -rw-r--r-- 7,627 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
libdist-zilla-plugins-cjm-perl (6.000-1) unstable; urgency=medium

  * Import upstream version 6.000.
    Fixes "Deprecation Warning with Dist::Zilla v6, will FTBFS with
    Dist::Zilla v7" (Closes: #825315)
  * Drop meta-spec.patch, not needed anymore.
  * Update years of upstream and packaging copyright.
  * Update (build) dependencies.
  * Declare compliance with Debian Policy 4.1.3.
  * Bump debhelper compatibility level to 10.
  * Remove trailing whitespace in debian/control.
    Thanks to pedantic lintian.
  * Set HOME during build and autopkgtest.

 -- gregor herrmann <gregoa@debian.org>  Sat, 13 Jan 2018 18:37:49 +0100

libdist-zilla-plugins-cjm-perl (4.27-2) unstable; urgency=medium

  [ gregor herrmann ]
  * Rename autopkgtest configuration file(s) as per new pkg-perl-
    autopkgtest schema.

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * debian/upstream/metadata: use HTTPS for GitHub URLs.
  * Add patch from CPAN RT to work with different CPAN::Meta::Spec
    versions. (Closes: #834730)
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 3.9.8.

 -- gregor herrmann <gregoa@debian.org>  Sat, 12 Nov 2016 18:04:10 +0100

libdist-zilla-plugins-cjm-perl (4.27-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 4.27
  * Update year of upstream copyright
  * Update build and run time dependencies

 -- Lucas Kanashiro <kanashiro.duarte@gmail.com>  Wed, 02 Sep 2015 22:10:30 -0300

libdist-zilla-plugins-cjm-perl (4.26-1) unstable; urgency=medium

  * Import upstream version 4.26.
  * Update years of packaging copyright.
  * Drop (build) dependency on libmoose-autobox-perl.
  * Mark package as autopkgtest-able.

 -- gregor herrmann <gregoa@debian.org>  Sat, 04 Jul 2015 19:55:53 +0200

libdist-zilla-plugins-cjm-perl (4.24-1) unstable; urgency=medium

  * Imported Upstream version 4.24
  * control source Standards-Version: '3.9.5' -> '3.9.6'

 -- Dominique Dumont <dod@debian.org>  Fri, 10 Oct 2014 12:53:17 +0200

libdist-zilla-plugins-cjm-perl (4.23-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * Add debian/upstream/metadata
  * Imported upstream version 4.23

 -- gregor herrmann <gregoa@debian.org>  Mon, 15 Sep 2014 20:04:46 +0200

libdist-zilla-plugins-cjm-perl (4.22-1) unstable; urgency=medium

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Mon, 05 May 2014 22:55:38 +0200

libdist-zilla-plugins-cjm-perl (4.21-1) unstable; urgency=medium

  * Strip trailing slash from metacpan URLs.
  * New upstream release.
  * Update years of copyright.
  * Declare compliance with Debian Policy 3.9.5.

 -- gregor herrmann <gregoa@debian.org>  Sat, 01 Mar 2014 23:09:40 +0100

libdist-zilla-plugins-cjm-perl (4.20-1) unstable; urgency=low

  * Imported Upstream version 4.20:
    * [TemplateCJM] is now distributed separately (no longer part
      of this dist)
    * [Test::PrereqsFromMeta]: Handle an empty hash in prerequisites
  * control: inverted the alternate dependencies

 -- Dominique Dumont <dod@debian.org>  Sun, 13 Oct 2013 18:59:08 +0200

libdist-zilla-plugins-cjm-perl (4.17-1) unstable; urgency=low

  * Imported Upstream version 4.17:
    * Dist::Zilla::Plugin::ModuleBuild::Custom:
      add $api_version parameter to get_prereqs method
    * Minor bug and doc fixes

 -- Dominique Dumont <dod@debian.org>  Wed, 21 Aug 2013 15:18:46 +0200

libdist-zilla-plugins-cjm-perl (4.14-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Dominique Dumont ]
  * Imported Upstream version 4.14
  * copyright: updated years and my email address
  * control:
    + added dep on libcpan-meta-requirements-perl
    - removed duplicated perl dep
    * bumped standard version
  * compat: bumped to 9

 -- Dominique Dumont <dod@debian.org>  Wed, 29 May 2013 22:46:13 +0200

libdist-zilla-plugins-cjm-perl (4.09-1) unstable; urgency=low

  * Team upload
  * Imported Upstream version 4.09

 -- intrigeri <intrigeri@debian.org>  Thu, 07 Jun 2012 22:52:56 +0200

libdist-zilla-plugins-cjm-perl (4.08-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Mon, 07 May 2012 18:30:56 +0200

libdist-zilla-plugins-cjm-perl (4.07-1) unstable; urgency=low

  * Team upload
  * New upstream release
  * Add versioned (build) depends on libdist-zilla-perl
  * Update debian/copyright format as in Debian Policy 3.9.3
  * Bump Standards-Version to 3.9.3 (no changes needed)

 -- Alessandro Ghedini <al3xbio@gmail.com>  Thu, 23 Feb 2012 18:36:19 +0100

libdist-zilla-plugins-cjm-perl (4.06-1) unstable; urgency=low

  * New upstream release.
  * Update years of upstream and packaging copyright.
  * (Build-)depend on libcpan-meta-perl (>= 2.113640) to get
    CPAN::Meta::Requirements.

 -- gregor herrmann <gregoa@debian.org>  Thu, 05 Jan 2012 18:42:12 +0100

libdist-zilla-plugins-cjm-perl (4.05-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Thu, 22 Dec 2011 18:16:40 +0100

libdist-zilla-plugins-cjm-perl (4.04-1) unstable; urgency=low

  * New upstream release.
  * Add new plugin to list in debian/control.
  * Add libgit-wrapper-perl to Build-Depends-Indep and Recommends, and
    libtest-fatal-perl to B-D-I.

 -- gregor herrmann <gregoa@debian.org>  Tue, 13 Dec 2011 18:57:53 +0100

libdist-zilla-plugins-cjm-perl (4.03-1) unstable; urgency=low

  * Swap order of alternative (build) dependencies after the perl 5.14
    transition.
  * New upstream release.
  * debian/control: update list of included modules.
  * Switch to debhelper compatibility level 8.
  * Add /me to Uploaders.

 -- gregor herrmann <gregoa@debian.org>  Sat, 26 Nov 2011 18:51:06 +0100

libdist-zilla-plugins-cjm-perl (4.02-1) unstable; urgency=low

  [ Dominique Dumont ]
  * new upstream release:
    + new plugin Dist::Zilla::Plugin::RecommendedPrereqs
    + Dist::Zilla::Plugin::TemplateCJM: Add changelog_re
      parameter
  * control:
    - removed obsolete versions in dependencies
    * Fixed dual life dependencies
    * updated my e-mail address
    * updated description

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

 -- Dominique Dumont <dod@debian.org>  Sat, 05 Nov 2011 14:28:19 +0100

libdist-zilla-plugins-cjm-perl (3.05-1) unstable; urgency=low

  [ Dominique Dumont ]
  * New upstream release
  * control: bump standard-version to 3.9.2. Added Vcs-Svn field

  [ gregor herrmann ]
  * Update year of upstream copyright.
  * Added Vcs-Browser field.

 -- Dominique Dumont <domi.dumont@free.fr>  Tue, 17 May 2011 14:02:38 +0200

libdist-zilla-plugins-cjm-perl (3.04-1) unstable; urgency=low

  * New upstream release
  * control: added libfile-pushd-perl build-indep dependency
  * control: added libmodule-metadata-perl dependency
  * control: added new module Dist::Zilla::Plugin::Metadata to
    description
  * copyright: updated format to dep5 candidate,
  * control, copyright: changed my e-mail address

 -- Dominique Dumont <domi.dumont@free.fr>  Tue, 15 Feb 2011 13:00:48 +0100

libdist-zilla-plugins-cjm-perl (3.02-1) unstable; urgency=low

  * Initial Release. (Closes: #597613)

 -- Dominique Dumont <dominique.dumont@hp.com>  Thu, 18 Nov 2010 13:19:58 +0100